Skip to main content
GET
/
api
/
v2
/
payments
/
{id}
Show payment
curl --request GET \
  --url https://rcur.app/api/v2/payments/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "pay_abc123",
  "mollie_payment_id": "tr_abc123",
  "mollie_payment_status": "paid",
  "webhook_url": "https://example.com/webhook"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Payment details

id
string
required
Example:

"pay_abc123"

mollie_payment_id
string
required
Example:

"tr_abc123"

mollie_payment_status
enum<string>
required
Available options:
open,
canceled,
pending,
authorized,
expired,
failed,
paid
Example:

"paid"

webhook_url
string | null
Example:

"https://example.com/webhook"